%define pypi_name requests-text
%define python_name python3-%{pypi_name}
Name:           python-%{pypi_name}
Version:        1.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Text transport adapter for Requests

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://github.com/huakim/python-requests-text
Source:         https://files.pythonhosted.org/packages/source/r/requests_text/requests_text-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  fdupes
BuildArch:      noarch

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Requests-Text
=============

Requests-Text is a transport adapter for use with the `Requests`_ Python
library to allow text under text:\/\/ URLs.

To use:

.. code-block:: python

    import requests
    from requests_text import TextAdapter

    s = requests.Session()
    s.mount('text://', TextAdapter())

    resp = s.get('text://sometext')

Features
--------

- Will open and read text
- Might set a Content-Length header
- That's about it

------------

Contributions welcome! Feel free to open a pull request against
https://github.com/huakim/python-requests-text

License
-------

To maximise compatibility with Requests, this code is licensed under the Apache
license. See LICENSE for more details.

.. _`Requests`: https://github.com/kennethreitz/requests
}

%description %_description

%package -n %{python_name}
Summary:        %{summary}

%description -n %{python_name} %_description

%prep
%autosetup -p1 -n %{lua: print(rpm.expand('%{pypi_name}'):gsub('-','_')..rpm.expand('-%{version}')) }


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto
%if %{with test}
%check
%pyproject_check_import
%pytest
%endif

%files -n %{python_name}
%{python3_sitelib}/requests_text-%{version}.dist-info
%{python3_sitelib}/requests_text.py
%{python3_sitelib}/__pycache__/*


%changelog
%autochangelog

